## libpcap 1.10.5

=== testprogs/CMakeLists.txt ===
if(MSVC)
  file(GLOB PROJECT_SOURCE_LIST_WIN32_C ${pcap_SOURCE_DIR}/missing/getopt.c)
  include_directories(${pcap_SOURCE_DIR}/missing)
endif(MSVC)

add_custom_target(testprogs)

macro(add_test_executable _executable)
  add_executable(${_executable} EXCLUDE_FROM_ALL
    ${_executable}.c ${PROJECT_SOURCE_LIST_WIN32_C})
  if(NOT C_ADDITIONAL_FLAGS STREQUAL "")
    set_target_properties(${_executable} PROPERTIES
      COMPILE_FLAGS ${C_ADDITIONAL_FLAGS})
  endif()
  if(WIN32)
    target_link_libraries(${_executable}
      ${ARGN} ${LIBRARY_NAME} ${PCAP_LINK_LIBRARIES})
  else(WIN32)
    target_link_libraries(${_executable}
      ${ARGN} ${LIBRARY_NAME}_static ${PCAP_LINK_LIBRARIES})
  endif(WIN32)
  if(NOT "${LINKER_FLAGS}" STREQUAL "")
    set_target_properties(${_executable} PROPERTIES
      LINK_FLAGS "${LINKER_FLAGS}")
  endif()
  add_dependencies(testprogs ${_executable})
endmacro()

add_test_executable(can_set_rfmon_test)
add_test_executable(capturetest)
add_test_executable(filtertest)
add_test_executable(findalldevstest)
add_test_executable(findalldevstest-perf)
add_test_executable(opentest)
add_test_executable(reactivatetest)
add_test_executable(writecaptest)

if(NOT WIN32)
  add_test_executable(selpolltest)
endif()

add_test_executable(threadsignaltest ${CMAKE_THREAD_LIBS_INIT})

# Same as in configure.ac.
if(CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR
   CMAKE_SYSTEM_NAME STREQUAL "Darwin" OR
   CMAKE_SYSTEM_NAME STREQUAL "Linux")
  add_test_executable(valgrindtest)
endif()

add_subdirectory(fuzz)

=== debian/changelog ===
libpcap (1.10.5-2ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 05 Sep 2025 19:11:28 +0000

libpcap (1.10.5-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add Build-Depends on libibverbs-dev to enable RDMA support.
      LP #2006557.
    - Have -dev package depend on libibverbs-dev per pkgconfig
    - Don't require ibverbs on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Feb 2025 08:34:00 +0100

libpcap (1.10.5-2) unstable; urgency=medium

  * Transfer ownership to pkg-security team.
  * Set Vcs-* fields to new locations in Debian group.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 09 Feb 2025 12:17:39 +0100

libpcap (1.10.5-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add Build-Depends on libibverbs-dev to enable RDMA support.
      LP #2006557.
    - Have -dev package depend on libibverbs-dev per pkgconfig
    - Don't require ibverbs on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Sep 2024 14:03:41 +0200

libpcap (1.10.5-1) unstable; urgency=low

  * New upstream release.
  * Drop lintian override 'package-name-doesnt-match-sonames'.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 01 Sep 2024 21:57:30 +0200

libpcap (1.10.4-5ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add Build-Depends on libibverbs-dev to enable RDMA support.
      LP #2006557.
    - Have -dev package depend on libibverbs-dev per pkgconfig
    - Don't require ibverbs on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 09 Jul 2024 09:45:02 +0200

libpcap (1.10.4-5) unstable; urgency=medium

  * Acknowledge NMU from Benjamin Drung for time_t transition, thanks!
  * Run wrap-and-sort.
  * Bump Standards-Version to 4.7.0.
  * debian/watch: Switch to .tar.xz URLs as upstream homepage no longer
    lists the .tar.gz.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 04 May 2024 13:01:04 +0200

libpcap (1.10.4-4.1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:55:12 +0000

libpcap (1.10.4-4.1ubuntu2) noble; urgency=medium

  * Move libibverbs-dev dependency to libpcap0.8-dev, the package shipping
    the actual .pc file that needs it.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 23 Mar 2024 22:54:39 +0000

libpcap (1.10.4-4.1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add Build-Depends on libibverbs-dev to enable RDMA support.
      LP #2006557.
    - Have -dev package depend on libibverbs-dev per pkgconfig
    - Don't require ibverbs on i386

 -- Lena Voytek <lena.voytek@canonical.com>  Mon, 04 Mar 2024 09:55:39 -0700

libpcap (1.10.4-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062565

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 16:15:04 +0000

libpcap (1.10.4-4ubuntu3) noble; urgency=medium

  * Don't require ibverbs on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 Feb 2024 16:41:24 -0500

libpcap (1.10.4-4ubuntu2) noble; urgency=medium

  * Have -dev package depend on libibverbs-dev per pkgconfig

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 Feb 2024 16:37:47 -0500

libpcap (1.10.4-4ubuntu1) noble; urgency=medium

  * Add Build-Depends on libibverbs-dev to enable RDMA support.
    LP: #2006557.

 -- dann frazier <dann.frazier@canonical.com>  Thu, 01 Feb 2024 17:47:00 -0700

=== debian/control ===
Source: libpcap
Section: devel
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Build-Depends: bison,
               debhelper-compat (= 13),
               dpkg-dev (>= 1.22.5),
               flex,
               libbluetooth-dev [linux-any],
               libdbus-1-dev,
               libibverbs-dev [!i386],
               linux-libc-dev [i386]
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://www.tcpdump.org/
Vcs-Browser: https://salsa.debian.org/debian/libpcap
Vcs-Git: https://salsa.debian.org/debian/libpcap.git

Package: libpcap-dev
Section: libdevel
Architecture: any
Depends: libpcap0.8-dev,
         ${misc:Depends}
Multi-Arch: same
Description: development library for libpcap (transitional package)
 Empty package to facilitate upgrades, can be safely removed.

Package: libpcap0.8-dev
Section: libdevel
Architecture: any
Depends: libc6-dev,
         libdbus-1-dev,
         libibverbs-dev [!i386],
         libpcap0.8t64 (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libpcap0.7-dev
Multi-Arch: same
Description: development library and header files for libpcap0.8t64
 Headers, static libraries, and documentation for the libpcap library.
 .
 libpcap (Packet CAPture) provides a portable framework for low-level
 network monitoring.  Applications include network statistics
 collection, security monitoring, network debugging, etc.
 .
 Since almost every system vendor provides a different interface for
 packet capture, and since there are several tools that require this
 functionality, the libpcap authors created this system-independent API
 to ease in porting and to alleviate the need for several
 system-dependent packet capture modules in each application.

Package: libpcap0.8t64
Provides: ${t64:Provides}
Breaks: libpcap0.8 (<< ${source:Version})
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: libpcap0.8,
          libpcap0.8-dev (<< 1.10.4-3)
Multi-Arch: same
Description: system interface for user-level packet capture
 libpcap (Packet CAPture) provides a portable framework for low-level
 network monitoring.  Applications include network statistics collection,
 security monitoring, network debugging, etc.
 .
 Since almost every system vendor provides a different interface for
 packet capture, and since there are several tools that require this
 functionality, the libpcap authors created this system-independent API
 to ease in porting and to alleviate the need for several
 system-dependent packet capture modules in each application.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_HOST_ARCH_OS),linux)
export with_pcap=linux
endif
ifeq ($(DEB_HOST_ARCH_OS),hurd)
export with_pcap=hurd
endif

%:
	dh $@

override_dh_install-arch:
	dh_install
	# Some man pages of interest to end users go into libpcap0.8
	# (see #527599, #1035661).
	rm debian/libpcap0.8-dev/usr/share/man/man5/pcap-savefile.5
	rmdir debian/libpcap0.8-dev/usr/share/man/man5
	rm debian/libpcap0.8-dev/usr/share/man/man7/pcap-filter.7
	rm debian/libpcap0.8-dev/usr/share/man/man7/pcap-tstamp.7

override_dh_strip-arch:
	dh_strip --dbgsym-migration='libpcap0.8-dbg (<< 1.10.1-3~)'

override_dh_makeshlibs-arch:
	dh_makeshlibs -- -c4

## libpcap 1.10.6

=== CMakeLists.txt ===
if(WIN32)
    #
    # We need 3.12 or later, so that we can set policy CMP0074; see
    # below.
    #
    cmake_minimum_required(VERSION 3.12)
else(WIN32)
    #
    # For now:
    #
    #  if this is a version of CMake less than 3.5, require only
    #  2.8.12, just in case somebody is configuring with CMake
    #  on a "long-term support" version # of some OS and that
    #  version supplies an older version of CMake;
    #
    #  otherwise, if it's a version less than 3.10, require only
    #  3.5, just in case somebody is configuring with CMake
    #  on a "long-term support" version # of some OS and that
    #  version supplies an older version of CMake;
    #
    #  otherwise, require 3.10, so we don't get messages warning
    #  that support for versions of CMake lower than 3.10 is
    #  deprecated.
    #
    if(CMAKE_VERSION VERSION_LESS "3.5")
        cmake_minimum_required(VERSION 2.8.12)
    elseif(CMAKE_VERSION VERSION_LESS "3.10")
        cmake_minimum_required(VERSION 3.5)
    else()
        cmake_minimum_required(VERSION 3.10)
    endif()
endif(WIN32)

#
# Apple doesn't build with an install_name starting with @rpath, and
# neither do we with autotools; don't do so with CMake, either, and
# suppress warnings about that.
#
# Setting CMAKE_MACOSX_RPATH to FALSE uses the old behavior,
# but removes the POLICY CMP0042 OLD deprecated warning.
# See https://cmake.org/cmake/help/latest/policy/CMP0042.html
#
if (NOT DEFINED CMAKE_MACOSX_RPATH)
    set(CMAKE_MACOSX_RPATH FALSE)
endif()
if(POLICY CMP0042)
    cmake_policy(SET CMP0042 NEW)
endif()

#
# Squelch noise about quoted strings in if() statements.
# WE KNOW WHAT WE'RE DOING, WE'RE DOING EVERYTHING THE WAY THAT NEWER
# VERSIONS OF CMAKE EXPECT BY DEFAULT, DON'T WASTE OUR TIME WITH NOISE.
#
if(POLICY CMP0054)
    cmake_policy(SET CMP0054 NEW)
endif()

#
# We want find_file() and find_library() to honor {packagename}_ROOT,
# as that appears to be the only way, with the Visual Studio 2019 IDE
# and its CMake support, to tell CMake where to look for the Npcap
# or WinPcap SDK.
#
if(POLICY CMP0074)
    cmake_policy(SET CMP0074 NEW)
endif()

#
# We want check_include_file() to honor CMAKE_REQUIRED_LIBRARIES; see
# the big comment before the check_include_file() test for
# infiniband/verbs.h for the reason.
#
if(POLICY CMP0075)
    cmake_policy(SET CMP0075 NEW)
endif()

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules)

#
# We explicitly indicate what languages are used in libpcap to avoid
# checking for a C++ compiler.
#
# One reason to avoid that check is that there's no need to waste
# configuration time performing it.
#
# Another reason is that:
#
# CMake will try to determine the sizes of some data types, including
# void *, early in the process of configuration; apparently, it's done
# as part of processing the project() command.
#
# At least as of CMake 2.8.6, it does so by checking the size of
# "void *" in C, setting CMAKE_C_SIZEOF_DATA_PTR based on that,
# setting CMAKE_SIZEOF_VOID_P to that, and then checking the size
# of "void *" in C++, setting CMAKE_CXX_SIZEOF_DATA_PTR based on
# that, and then setting CMAKE_SIZEOF_VOID_P to *that*.
#
# The compile tests include whatever C flags may have been provided
# to CMake in the CFLAGS and CXXFLAGS environment variables.
#
# If you set an architecture flag such as -m32 or -m64 in CFLAGS
# but *not* in CXXFLAGS, the size for C++ will win, and hilarity
# will ensue.
#
# Or if, at least on Solaris, you have a newer version of GCC
# installed, but *not* a newer version of G++, and you have Oracle
# Studio installed, it will find GCC, which will default to building
# 64-bit, and Oracle Studio's C++ compiler, which will default to
# building 32-bit, the size for C++ will win, and, again, hilarity
# will ensue.
#
project(pcap C)

#
# Setting CMAKE_MACOSX_RPATH to FALSE causes the installed
# libpcap.A.dylib to have just libpcap.A.dylib as the install
# name;  Apple built libpcap with an install_name of /usr/lib/libpcap.A.dylib
# (back when they still shipped individual system dylibs rather than
# shipping a pre-built shared library cache, at least), and we do the
# same with autotools; do the same with CMake.
#
if (NOT DEFINED CMAKE_INSTALL_NAME_DIR)
    set(CMAKE_INSTALL_NAME_DIR ${CMAKE_INSTALL_PREFIX}/lib)
endif()

#
# For getting raw lists of --libs and --libs --static information from a
# pkg-config module.
#
# In CMake up to 2.8.12, pkg_check_modules() sets:
#
#    <XPREFIX>_LIBRARIES, which is a list of library names to which, on
#      a UN*X, -l can be prefixed - i.e., names, without extensions,
#      rather than full paths to the file.
#    <XPREFIX>_LIBRARY_DIRS, which is a list of paths to directories
#      containing the libraries, to which, on a UN*X, -L can be
#      prefixed.
#    <XPREFIX>_LDFLAGS, which is a list of *all* required linker flags
#    <XPREFIX>_LDFLAGS_OTHER, which is a list of all linker flags other
#      than -l and -L flags
#
# In 3.0 (at least as of 3.0.2), it also sets:
#
#    <XPREFIX>_LINK_LIBRARIES, which is a list of full paths to the
#      library files.
#
# but if <XPREFIX> is <PREFIX>_STATIC, <XPREFIX>_LINK_LIBRARIES is
# currently not set by CMake.
#
# Unfortunately, pkg_check_modules() sets the
# PKG_CONFIG_ALLOW_SYSTEM_LIBS environment variable when running
# pkg-config, so the output of --libs, etc. may include a -L for the
# system library, which we do *NOT* want to put in our libpcap.pc and
# pcap-config files.
#
# So we just run pkg-config ourselves, so that we get its output
# directly without any processing by CMake.
#
macro(pkg_get_link_info _prefix _package)
  if (PKG_CONFIG_EXECUTABLE)
    #
    # Get the --libs information.
    #
    # We force PKG_CONFIG_ALLOW_SYSTEM_LIBS to be undefined, as
    # at least some versions of CMake appear to define it in
    # pkg_check_modules() before running pkg-config and *not* undefine
    # it after running it.
    #
    unset(ENV{PKG_CONFIG_ALLOW_SYSTEM_LIBS})
    set(_pkg_config_result "")
    execute_process(
      COMMAND ${PKG_CONFIG_EXECUTABLE} "--libs" ${_package}
      OUTPUT_VARIABLE _pkg_config_result
      RESULT_VARIABLE _pkg_config_failed
      OUTPUT_STRIP_TRAILING_WHITESPACE)

    if (_pkg_config_failed)
      #
      # pkg-config failed; assume that means that there is no such
      # package for it to find.  XXX - what do we do here?
      #
      set(${_prefix}_FOUND_WITH_PKG_CONFIG FALSE)
    else()
      #
      # pkg-config succeeded; replace CR and LF with spaces.
      #
      string(REGEX REPLACE "[\r\n]" " " ${_prefix}_LIBS "${_pkg_config_result}")

      #
      # Now get the --libs --static information.
      #
      set(_pkg_config_result "")
      execute_process(
        COMMAND ${PKG_CONFIG_EXECUTABLE} "--libs" "--static" ${_package}
        OUTPUT_VARIABLE _pkg_config_result
        RESULT_VARIABLE _pkg_config_failed
        OUTPUT_STRIP_TRAILING_WHITESPACE)

      if (_pkg_config_failed)
        #
        # pkg-config failed; assume that means that there is no such
        # package for it to find.  XXX - what do we do here?
        #
        set(${_prefix}_FOUND_WITH_PKG_CONFIG FALSE)
      else()
        #
        # pkg-config succeeded; replace CR and LF with spaces.
        #
        string(REGEX REPLACE "[\r\n]" " " ${_prefix}_LIBS_STATIC "${_pkg_config_result}")

        #
        # List this package in its PACKAGE_NAME variable.
        #
        set(${_prefix}_PACKAGE_NAME "${_package}")

        #
        # It worked.
        #
        set(${_prefix}_FOUND_WITH_PKG_CONFIG TRUE)
      endif()
    endif()
  endif()
endmacro()

macro(get_link_info_from_library_path  _library_prefix _library_name)
  if(NOT ${_library_prefix}_LIBRARY STREQUAL "${_library_prefix}_LIBRARY-NOTFOUND")
    get_filename_component(_lib_directory "${${_library_prefix}_LIBRARY}}" DIRECTORY)

    #
    # The closest thing to a list of "system library directories" in
    # which the linker will, by default, search for libraries appears to
    # be CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES, so that's what we use
    # when we're trying to construct a -L argument, for insertion into
    # pcap-config and libpcap.pc, for a library upon which we depend.
    #
    # In some versions of CMake it appears to have duplicate entries,
    # but that shouldn't affect a search for a directory in that list.
    #
    list(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${_lib_directory}" _lib_index)
    if(_lib_index EQUAL -1)
      #
      # No, so add a -L flag to get the linker to search in that
      # directory.
      #
      set(${_library_prefix}_LIBS "-L${_lib_directory}")
      set(${_library_prefix}_LIBS_STATIC "-L${_lib_directory}")
      set(${_libraryprefix}_LIBS_PRIVATE "-L${_lib_directory}")
    endif()
    set(${_library_prefix}_LIBS "${${_library_prefix}_LIBS} -l${_library_name}")
    set(${_library_prefix}_LIBS_STATIC "${${_library_prefix}_LIBS} -l${_library_name}")
    set(${_library_prefix}_LIBS_PRIVATE "${${_library_prefix}_LIBS} -l${_library_name}")
  endif()
endmacro()

#
# Show the bit width for which we're compiling.
# This can help debug problems if you're dealing with a compiler that
# defaults to generating 32-bit code even when running on a 64-bit
# platform, and where that platform may provide only 64-bit versions of
# libraries that we might use (looking at *you*, Oracle Studio!).
#
if(CMAKE_SIZEOF_VOID_P EQUAL 4)
  message(STATUS "Building 32-bit")
elseif(CMAKE_SIZEOF_VOID_P EQUAL 8)
  message(STATUS "Building 64-bit")
endif()

#
# Solaris pkg-config is annoying.  For at least one package (D-Bus, I'm
# looking at *you*!), there are separate include files for 32-bit and
# 64-bit builds (I guess using "unsigned long long" as a 64-bit integer
# type on a 64-bit build is like crossing the beams or something), and
# there are two separate .pc files, so if we're doing a 32-bit build we
# should make sure we look in /usr/lib/pkgconfig for .pc files and if
# we're doing a 64-bit build we should make sure we look in
# /usr/lib/amd64/pkgconfig for .pc files.
#
if(CMAKE_SYSTEM_NAME STREQUAL "SunOS" AND CMAKE_SYSTEM_VERSION MATCHES "5[.][0-9.]*")
    #
    # Note: string(REPLACE) does not appear to support using ENV{...}
    # as an argument, so we set a variable and then use set() to set
    # the environment variable.
    #
    if(CMAKE_SIZEOF_VOID_P EQUAL 8)
        #
        # 64-bit build.  If /usr/lib/pkgconfig appears in the path,
        # prepend /usr/lib/amd64/pkgconfig to it; otherwise,
        # put /usr/lib/amd64 at the end.
        #
        if((NOT DEFINED ENV{PKG_CONFIG_PATH}) OR "$ENV{PKG_CONFIG_PATH}" EQUAL "")
            #
            # Not set, or empty.  Set it to /usr/lib/amd64/pkgconfig.
            #
            set(fixed_path "/usr/lib/amd64/pkgconfig")
        elseif("$ENV{PKG_CONFIG_PATH}" MATCHES "/usr/lib/pkgconfig")
            #
            # It contains /usr/lib/pkgconfig.  Prepend
            # /usr/lib/amd64/pkgconfig to /usr/lib/pkgconfig.
            #
            string(REPLACE "/usr/lib/pkgconfig"
                "/usr/lib/amd64/pkgconfig:/usr/lib/pkgconfig"
                fixed_path "$ENV{PKG_CONFIG_PATH}")
        else()
            #
            # Not empty, but doesn't contain /usr/lib/pkgconfig.
            # Append /usr/lib/amd64/pkgconfig to it.
            #
            set(fixed_path "$ENV{PKG_CONFIG_PATH}:/usr/lib/amd64/pkgconfig")
        endif()
        set(ENV{PKG_CONFIG_PATH} "${fixed_path}")
    elseif(CMAKE_SIZEOF_VOID_P EQUAL 4)
        #
        # 32-bit build.  If /usr/amd64/lib/pkgconfig appears in the path,
        # prepend /usr/lib/pkgconfig to it.
        #
        if("$ENV{PKG_CONFIG_PATH}" MATCHES "/usr/lib/amd64/pkgconfig")
            #
            # It contains /usr/lib/amd64/pkgconfig.  Prepend
            # /usr/lib/pkgconfig to /usr/lib/amd64/pkgconfig.
            #
            string(REPLACE "/usr/lib/amd64/pkgconfig"

=== debian/changelog ===
libpcap (1.10.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.10.6
    - Fixes CVE-2025-11961 (Closes: #1124381)
  * Switch watch file format to version 5
  * Update signing key E089DEF1D9C15D0D (extended until 2026-05-10)
  * Add d/upstream/metadata
  * d/control:
    - Remove redundant "Rules-Requires-Root: no"
    - Remove redundant "Priority: optional"
    - Bump Standards-Version to 4.7.3 (no changes required)
  * Overhaul d/copyright, rewrite in machine-readable format

 -- Peter Wienemann <wiene@debian.org>  Sun, 15 Feb 2026 19:18:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libpcap
 Section: devel
-Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Build-Depends: bison,
                debhelper-compat (= 13),
@@ -8,10 +7,8 @@
                flex,
                libbluetooth-dev [linux-any],
                libdbus-1-dev,
-               libibverbs-dev [!i386],
                linux-libc-dev [i386]
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://www.tcpdump.org/
 Vcs-Browser: https://salsa.debian.org/debian/libpcap
 Vcs-Git: https://salsa.debian.org/debian/libpcap.git
@@ -30,7 +27,6 @@
 Architecture: any
 Depends: libc6-dev,
          libdbus-1-dev,
-         libibverbs-dev [!i386],
          libpcap0.8t64 (= ${binary:Version}),
          ${misc:Depends}
 Conflicts: libpcap0.7-dev

=== debian/watch ===
Version: 5
Source: https://www.tcpdump.org
Matching-Pattern: release/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Sig-Url-Mangle: s%$%.sig%
